# MailPilot

[![License](https://img.shields.io/badge/license-Apache%202.0-blue.svg)](https://github.com/plawlost/MailPilot/blob/main/LICENSE)

MailPilot is a versatile email sending tool for personalized mass mailing. It allows you to send personalized emails to a list of recipients using email templates. With MailPilot, you can automate and streamline your email marketing and communication efforts.

<img src="https://i.ibb.co/SVg50yx/mailpilot-transparent.png" alt="MailPilot Logo" width="300" height="300">

## Features

- **Personalization**: Customize each email with recipient-specific information.
- **HTML Email Templates**: Create beautiful HTML email templates for your messages.
- **SMTP Configuration**: Easily configure your SMTP server settings.
- **Command-Line Interface**: Use the command-line interface for quick and automated email sending.
- **Documentation**: Comprehensive documentation to help you get started.

## Table of Contents

- [Installation](#installation)
- [Configuration](#configuration)
- [Usage](#usage)
- [Examples](#examples)
- [Contributing](#contributing)
- [License](#license)

## Installation

Follow our [Installation Guide](docs/installation.md) to set up MailPilot on your system.

## Configuration

Configure MailPilot by providing SMTP details directly through command-line arguments or environment variables. Check our [Configuration Guide](docs/configuration.md) for more details.

## Usage

Learn how to send personalized emails using MailPilot by following our [Usage Guide](docs/usage.md).

## Examples

Explore practical examples and templates in the [examples](examples/) directory. For more details, check the [examples README](examples/README.md).

## Contributing

We welcome contributions from the community. If you have suggestions, bug reports, or would like to contribute to the project, please check our [Contributing Guidelines](docs/CONTRIBUTING.md).

## License

MailPilot is licensed under the [Apache License 2.0](LICENSE).

---

**Note**: This project is under active development, and more features are planned for future releases. Your feedback and contributions are highly appreciated.

For issues and feature requests, please [open an issue](https://github.com/plawlost/MailPilot/issues).

For questions and support, contact me at [contact@plawlost.com](mailto:contact@plawlost.com).
